org.apache.commons.net.telnet

## Class EchoOptionHandler

- java.lang.Object
- - org.apache.commons.net.telnet.TelnetOptionHandler
  - - org.apache.commons.net.telnet.EchoOptionHandler

-     public class EchoOptionHandler
      extends TelnetOptionHandler

  Implements the telnet echo option RFC 857.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EchoOptionHandler()` Constructor for the EchoOptionHandler.
    `EchoOptionHandler(boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)` Constructor for the EchoOptionHandler.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler

      `answerSubnegotiation, getAcceptLocal, getAcceptRemote, getInitLocal, getInitRemote, getOptionCode, setAcceptLocal, setAcceptRemote, setInitLocal, setInitRemote, startSubnegotiationLocal, startSubnegotiationRemote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EchoOptionHandler

          public EchoOptionHandler()

      Constructor for the EchoOptionHandler. Initial and accept behavior flags are set to false

    - #### EchoOptionHandler

          public EchoOptionHandler(boolean initlocal,
                                   boolean initremote,
                                   boolean acceptlocal,
                                   boolean acceptremote)

      Constructor for the EchoOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behavior in case a local/remote activation request for this option is received.

      Parameters:
        `initlocal` - - if set to true, a WILL is sent upon connection.
        `initremote` - - if set to true, a DO is sent upon connection.
        `acceptlocal` - - if set to true, any DO request is accepted.
        `acceptremote` - - if set to true, any WILL request is accepted.

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.